zhuwt2008
2018-09-05 02:56
采纳率: 95.1%
浏览 5.5k

MySql.Data.dll 8.0.12有合适.NET FRAMEWORK4.0项目引用的版本吗?

如题,官方网站下载mysql-connector-net-8.0.12.msi安装之后,MySql.Data.dll在路径...\MySQL\MySQL Connector Net 8.0.12\Assemblies\v4.5.2中,假如引用项目的目标框架是.NET Framework 4.5.2则正常,改为.NET Framework 4则编译报错,提示“ 1 未能找到类型或命名空间名称“MySql”(是否缺少 using 指令或程序集引用?)”,虽然在解决方案资源管理器-项目引用-MySql.Data右键菜单属性中看到该dll的运行时版本是v4.0.30319,但是若项目的目标框架设置为.NET Framework 4却会出错,只能设置为.NET Framework 4.5.2。我觉得安装之后MySql.Data.dll的路径目录说明了问题,为什么安装之后MySql.Data.dll只有在v4.5.2目录下?是MySql.Data.dll 8.0.12只能用于.NET Framework 4.5.2的项目吗?还是下载时根据我的电脑最高的Framework版本给我这个安装包?如果我的电脑最高的Framework版本是4.0,能下载到安装之后MySql.Data.dll在v4目录下的安装包吗?哪位热心的高手能帮忙验证一下?如果不更改电脑最高的Framework版本(因为修改卸载太麻烦了),能找到适合.NET Framework 4项目引用的mysql-connector-net-8.0.12.msi安装包或MySql.Data.dll 8.0.12吗? 哪位高手帮下忙,不胜感激!

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 邀请回答

2条回答 默认 最新

  • blownewbee 2018-09-05 03:07
    已采纳

    8.0.12不一定有,但是MySql.Data.dll肯定有支持.net 4.0的。你为什么非要8.0.12呢

    点赞 打赏 评论
  • blownewbee 2018-09-05 03:10
    点赞 打赏 评论

相关推荐 更多相似问题